Summary:	GNOME media programs
Name:		gnome-media
Version:	3.4.0
Release:	1
License:	GPLv2+ and GFDL+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: gnome-doc-utils
BuildRequires: intltool >= 0.35
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(gnome-keybindings)
BuildRequires: pkgconfig(gstreamer-0.10)
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(libgnome-media-profiles-3.0)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(libxml-2.0)

Requires:   gstreamer0.10-plugins-good
Requires:   gstreamer0.10-plugins-base
Suggests:   gstreamer0.10-flac
Suggests:   gstreamer0.10-speex
Requires(post,preun):	GConf2

%description
This package contains a few media utilities for the GNOME desktop,
including a sound recorder and an audio mixer.

%prep
%setup -q 
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-scrollkeeper

%make

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install --vendor="" \
	--add-category="DesktopSettings" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/gstreamer-properties.desktop

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-CrossDesktop" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/gnome-sound-recorder.desktop

%find_lang %{name}-2.0 --with-gnome --all-name

%files -f  %{name}-2.0.lang
%doc AUTHORS NEWS README
%{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas
%{_bindir}/*
%{_datadir}/applications/gnome-sound-recorder.desktop
%{_datadir}/applications/gstreamer-properties.desktop
%{_datadir}/gnome-media
%{_datadir}/gnome-sound-recorder
%{_datadir}/gstreamer-properties
%{_datadir}/icons/hicolor/*/*/*.*
%dir %{_datadir}/sounds/
%dir %{_datadir}/sounds/gnome/
%{_datadir}/sounds/gnome/default/



%changelog
* Wed May 09 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.0-1
+ Revision: 797816
- new version 3.4.0

* Wed Mar 07 2012 Matthew Dawkins <mattydaw@mandriva.org> 2.91.2-1
+ Revision: 782812
- new version 2.91.2
- libs are now a separate source

* Sat Dec 24 2011 Matthew Dawkins <mattydaw@mandriva.org> 2.32.0-4
+ Revision: 744980
- fixed files list
- get all .la files
- rebuild
- cleaned up spec
- removed dep loop

* Wed Oct 26 2011 Götz Waschk <waschk@mandriva.org> 2.32.0-3
+ Revision: 707251
- rebuild for new libpng

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.32.0-2
+ Revision: 664873
- mass rebuild

  + John Balcaen <mikala@mandriva.org>
    - Fix BR for libcanberra-gtk-devel

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581881
- update to new version 2.32.0

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 565866
- new version
- update deps
- update file list

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528926
- update to new version 2.30.0

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 510040
- new version
- fix format strings
- build with glade3
- update file list

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rename gnome-media library packages from libcddb-slave2 to libgnome-media

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.28.5-1mdv2010.1
+ Revision: 490124
- new version
- drop all patches

* Thu Oct 29 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-2mdv2010.0
+ Revision: 459949
- Patch0 (GIT): fix startup page
- Patch1 (GIT): update sink/source description on the fly (GNOME bug #597025)
- Patch2 (GIT): fix window title at startup (GNOME bug #598887)
- Patch3 (GIT): improve layout (GNOME bug #598822)
- Patch4 (GIT): fix bluriness in level bar

* Wed Oct 07 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.0
+ Revision: 455471
- update to new version 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446697
- update to new version 2.28.0

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 432735
- update to new version 2.27.91

* Fri Aug 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.90.fix-1mdv2010.0
+ Revision: 416271
- update to new version 2.27.90.fix

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 401414
- update to new version 2.27.5

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395759
- update to new version 2.27.4

* Wed Jul 01 2009 Götz Waschk <waschk@mandriva.org> 2.27.3.1-1mdv2010.0
+ Revision: 391160
- update to new version 2.27.3.1
- update description again
- don't mention the CD player in the description

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 386267
- update to new version 2.27.3

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374184
- new version
- update file list

* Thu Apr 16 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.0-2mdv2009.1
+ Revision: 367704
- Set gnome-sound-recorder as cross-desktop

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356228
- update to new version 2.26.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 348134
- new version
- update build deps
- update file list

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 332054
- new version
- update file list

* Fri Dec 19 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-2mdv2009.1
+ Revision: 316063
- remove gnome-volume-control desktop entry

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 315779
- update build deps
- new version
- update file list

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 2.24.0.1-2mdv2009.1
+ Revision: 301023
- rebuilt against new libxcb

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.0.1-1mdv2009.0
+ Revision: 287701
- new version

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287348
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282782
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278650
- new version

* Thu Jul 10 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-2mdv2009.0
+ Revision: 233331
- fix schemas uninstallation

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 231055
- new version
- drop patch
- update file list
- update license

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 2.22.0-4mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - hide gnome-volume-control in Xfce

* Thu Mar 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-3mdv2008.1
+ Revision: 190714
- No longer ship gnome-cd, it is old and deprecated upstream now
- Remove patches 0, 2, no longer needed
- Patch0: various SVN fixes

* Sun Mar 23 2008 Emmanuel Andry <eandry@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 189667
- Fix lib group

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183882
- new version
- update file list

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2.20.1-3mdv2008.1
+ Revision: 178728
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Sep 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.0
+ Revision: 90592
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89316
- new version

* Fri Sep 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.92-2mdv2008.0
+ Revision: 81740
- Remove old requires / provides on gstreamer virtual packages
- Clean specfile
- always hide vumeter and reclevel
- hide gnome-volume-control under KDE

* Fri Sep 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 81648
- new version
- drop patch 3
- update patch 0
- update file list
- handle icon cache
- update deps

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-5mdv2008.0
+ Revision: 78568
- new devel name
- fix icons in desktop entries

* Fri May 11 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-4mdv2008.0
+ Revision: 26370
- Patch3 (SVN): fix modality in profile editor (Mdv bug #29934)


* Thu Mar 15 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-3mdv2007.1
+ Revision: 144424
- move pkgconfig file to the devel package

* Tue Mar 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 142468
- fix requiring devel packages

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141621
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 119041
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111889
- new version

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 105304
- new version

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 100408
- Import gnome-media

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
- New version 2.17.1

* Wed Sep 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-2mdv2007.0
- Fix xdg menu

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New release 2.16.1

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- fix vumeter installation
- New release 2.16.0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-6mdv2007.0
- Rebuild with latest dbus

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-5mdv2007.0
- Rebuild with latest libgail

* Sat Jun 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-4mdv2007.0
- Add missing dependencies for audio profiles

* Fri Jun 23 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-3mdv2007.0
- move gnome-media-profiles.pc to the main package
- new macros
- xdg menu

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.1
- rebuild for new nautilus-cd-burner

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Thu Apr 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.14.0-2mdk
- add BuildRequires: gstreamer0.10-plugins-base

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0
- Regenerate patch0

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 2.12.0-6mdk
- Rebuild to remove howl dep

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-5mdk
- Fix uninstall script

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 2.12.0-4mdk
- rebuild for new dbus
- use mkrel

* Fri Dec 30 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.12.0-3mdk
- Rebuild

* Tue Oct 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-2mdk
- Rebuild with correct version of nautilus-cd-burner

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0
- Remove patches 7, 8, 9 (merged upstream)

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-5mdk
- rebuild to remove glitz dep

* Fri Sep 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-4mdk 
- Update patch9 to not crash when selecting the default mixer

* Sat Aug 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-3mdk 
- Patch9 (BBB): select Alsa mixer if available (Mdk bug #17637)

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-2mdk 
- Drop explicit dependency on yelp

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-1mdk 
- Release 2.10.2 (based on Gtz Waschk package)
- Remove patches 3, 4, 5, 6 (merged upstream)
- Patch8: init i18n in audio profile editor

* Tue Apr 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-5mdk 
- Update patch5 with more crash fixes 
- add dependency from lib to main package to fix Mdk bug #15005

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-4mdk 
- Patch6 (CVS): fix wrong start when inserting CD 
- Patch7: fix crash when inserting/ejecting CD (Mdk bug #14266)

* Mon Feb 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-3mdk 
- Patch5 (CVS): fix crash when creating new audio profile (Mdk bug #12543)

* Fri Feb 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-2mdk 
- Patch4 (CVS): don't call textdomain in gnome_media_profiles_init

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0
- Regenerate patch2
- Remove patch3 (merged upstream)
- Requires gstreamer-GConf (mdk bug #12081)
- Patch3 (Fedora): make help button of gst-properties work

* Fri Oct 01 2004 David Baudens <baudens@mandrakesoft.com> 2.6.2-4mdk
- Set gnome-sound-recorder menu entry to "needs=x11"

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-3mdk
- Patch3 (CVS): don't complain on one track elements

* Tue Aug 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Sync menu entry title/longtitle with upstream (bug #10597)
- Enable libtoolize

* Fri May 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- New release 2.6.2

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- fix buildrequires

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Wed Apr 21 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Remove patch1 (no longer needed)
- Regenerate patch2

